Page MenuHomePhabricator

Filter for languages shown in list of terms
Closed, ResolvedPublic

Description

As a user I would like to filter languages shown in the term list, so I can select the languages I am interested in.
When I am at the bottom of the languages list I see a toolbar with a button 'Show more languages'

image.png (735×494 px, 133 KB)

When I click the button 'Show more languages'
then a modal fullscreen dialog opens

image.png (733×506 px, 50 KB)

When the dialog is open
then I see:

  • a list of languages that are currently selected ( e.g. English )
  • a button 'Remember selected languages'

when I click it then the the dialog closes and the terms list is filtered with the selected languages

  • an input element ( filter )

When I enter text
then only languages with the matching text should be shown

When I remove the text
then all languages should be shown.

image.png (352×514 px, 26 KB)

  • and a alphabetically list of all available languages for terms for the current item with checkboxes

image.png (679×500 px, 45 KB)

When I select (checkbox) a language
then it is set as a filter for the terms list
and its position changes to the one after the last selected language ( e.g. top image English )
and it is added to the list of currently selected languages .( e.g. bottom image English, Afrikaans, German, Russia, Spanish )

image.png (416×496 px, 34 KB)

When I deselect (checkbox) a language
then it is removed as a filter for the term list
and the position changes back to the alphabetically sorted list of deselected language
and it is removed from the list of currently selected languages.

Event Timeline

Jonas triaged this task as Medium priority.Jun 8 2018, 9:08 AM
Jonas created this task.
Vvjjkkii renamed this task from Filter for languages shown in list of terms to kebaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Matthias_Geisler_WMDE as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from kebaaaaaaa to Filter for languages shown in list of terms.Jul 2 2018, 1:17 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.